clan::TransferBufferProvider Class Reference - ClanLib SDK
Description: clan::TransferBufferProvider Class Reference

Public Member Functions | List of all members
clan::TransferBufferProvider Class Referenceabstract
clanDisplay Display

Transfer Buffer provider. More...

`#include <transfer_buffer_provider.h>`

## Public Member Functions
virtual | ~TransferBufferProvider ()
virtual void | create (int size, BufferUsage usage)=0
| Constructs a array buffer.
virtual void | create (void *data, int size, BufferUsage usage)=0
| Create.
virtual void * | get_data ()=0
| Retrieves a pointer to the mapped buffer.
virtual void | lock (GraphicContext &gc, BufferAccess access)=0
| Maps buffer into system memory.
virtual void | unlock ()=0
| Unmaps buffer.
virtual void | upload_data (GraphicContext &gc, int offset, const void *data, int size)=0
| Uploads data to buffer.

## Detailed Description

Transfer Buffer provider.

## Constructor & Destructor Documentation

## ◆ ~TransferBufferProvider()

virtual clan::TransferBufferProvider::~TransferBufferProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ create() [1/2]

virtual void clan::TransferBufferProvider::create | ( | int | size,
|  | BufferUsage | usage )
| pure virtual

Constructs a array buffer.

## ◆ create() [2/2]

virtual void clan::TransferBufferProvider::create | ( | void * | data,
|  | int | size,
|  | BufferUsage | usage )
| pure virtual

Create.

Parameters

  data | = void
  size | = value
  usage | = Buffer Usage

## ◆ get_data()

virtual void * clan::TransferBufferProvider::get_data | ( |  | ) |
| pure virtual

Retrieves a pointer to the mapped buffer.

## ◆ lock()

virtual void clan::TransferBufferProvider::lock | ( | GraphicContext & | gc,
|  | BufferAccess | access )
| pure virtual

Maps buffer into system memory.

## ◆ unlock()

virtual void clan::TransferBufferProvider::unlock | ( |  | ) |
| pure virtual

Unmaps buffer.

## ◆ upload_data()

virtual void clan::TransferBufferProvider::upload_data | ( | GraphicContext & | gc,
|  | int | offset,
|  | const void * | data,
|  | int | size )
| pure virtual

Uploads data to buffer.

The documentation for this class was generated from the following file:

- transfer_buffer_provider.h